AntiFeatures:
  - NonFreeNet
Categories:
  - Science & Education
License: GPL-3.0-only
AuthorName: Joshua Tee
SourceCode: https://gitlab.com/joshua.tee/wx
IssueTracker: https://gitlab.com/joshua.tee/wx/issues
Changelog: https://drive.google.com/drive/folders/0B9OogdTO1kXqcVJwekpwemFwSXM

AutoName: wX
Description: |-
    NWS ( National Weather Service ) data is optimized for mobile format and provided for divisions not normally covered together in the mobile space: SPC, WPC, NHC, OPC, etc. Level 3 and Level 2 Nexrad radar ( single, dual, quad pane ) are provided and displayed using the mobile variant of OpenGL. This weather app is not affiliated with NOAA or the National Weather Service.

    If you *only* need current conditions and your local 7 day forecast then this app is probably more then you need although it will easily provide those 2 things as well. If you are looking for wasted screen real estate or fancy graphics this app is not for you. Given the depth of information covered there is a steep learning curve if you seek to use the program in it’s entirety, help information is available and touched on below. Common weather acronyms are used throughout so you should be familiar with those as well. Currently United States locations are supported. Canada is also supported but is be considered in Beta for now.

    HELP is available from the main menu and by tapping on any text in the settings activities.

    Features:
    * Current forecast, 7 day conditions, sounding data for an unlimited number of locations from NWS.
    * Customizable home screen
    * (Android only) Tiles can be rearranged by long press and then drag and drop on Tabs: SPC, MISC, and IMAGES
    * OpenGL based Nexrad radar interface with numerous options. Level 2 in the lowest tilt for base reflectivity/velocity is also available. 2 pane and 4 pane version also available in MISC tab.
    * Optimized text product viewer for easy access to AFD,HWO and others from any NWS WFO.
    * Vis/IR/WV/Radar mosaic viewer ( with animations ).
    * Widgets ( nexrad radar, radar mosaic, vis, afd/hwo )
    * SPC products ( such as Watches/MCDs/Convective Outlooks/Mesoanalysis )
    * WPC products
    * Weather models
    * NHC products

    Notifications:
    * Local alerts
    * MCDs impacting your location
    * MPDs impacting your location
    * Convective outlooks for your location
    * US MCD/Watches
    * US tornadoes
    * US MCD
    * US MPD
    * NHC Atlantic and EPAC advisories

    NOTE about Canada: Canadian locations can be added under Settings -> Location -> "plus" symbol but you need to access the options under the sub-menu. You can also use the main search bar at the top but for now you must use a suggested location and can’t add an arbitrary location.

    See <a href="https://docs.google.com/document/d/1OQrviP10XBvQZ7QKh5R4bsd72ZKffK5f0ISRuCaSk5k/edit">here</a> for a list of often asked questions.

RepoType: git
Repo: https://gitlab.com/joshua.tee/wx.git

Builds:
  - versionName: '55039'
    versionCode: 55039
    commit: '55039'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|\"..\/..\/..\/\$ndkVersion\"|\"$$NDK$$\"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55103'
    versionCode: 55103
    commit: '55103'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55114'
    versionCode: 55114
    commit: '55114'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55115'
    versionCode: 55115
    commit: '55115'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55120'
    versionCode: 55120
    commit: '55120'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55127'
    versionCode: 55127
    commit: '55127'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55128'
    versionCode: 55128
    commit: '55128'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55148'
    versionCode: 55148
    commit: '55148'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55154'
    versionCode: 55154
    commit: '55154'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55158'
    versionCode: 55158
    commit: '55158'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55164'
    versionCode: 55164
    commit: '55164'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55175'
    versionCode: 55175
    commit: '55175'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55217'
    versionCode: 55217
    commit: '55217'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55223'
    versionCode: 55223
    commit: '55223'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55236'
    versionCode: 55236
    commit: '55236'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55260'
    versionCode: 55260
    commit: '55260'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55265'
    versionCode: 55265
    commit: '55265'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55269'
    versionCode: 55269
    commit: '55269'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55272'
    versionCode: 55272
    commit: '55272'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55289'
    versionCode: 55289
    commit: '55289'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55291'
    versionCode: 55291
    commit: '55291'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55295'
    versionCode: 55295
    commit: '55295'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55306'
    versionCode: 55306
    commit: '55306'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55310'
    versionCode: 55310
    commit: '55310'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55341'
    versionCode: 55341
    commit: '55341'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55350'
    versionCode: 55350
    commit: '55350'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55358'
    versionCode: 55358
    commit: '55358'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55381'
    versionCode: 55381
    commit: '55381'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55386'
    versionCode: 55386
    commit: '55386'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55420'
    versionCode: 55420
    commit: '55420'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55476'
    versionCode: 55476
    commit: '55476'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55483'
    versionCode: 55483
    commit: '55483'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55485'
    versionCode: 55485
    commit: '55485'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55487'
    versionCode: 55487
    commit: '55487'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
    ndk: r18b

  - versionName: '55522'
    versionCode: 55522
    commit: '55522'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r21d

  - versionName: '55525'
    versionCode: 55525
    commit: '55525'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r21d

  - versionName: '55529'
    versionCode: 55529
    commit: '55529'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r21d

  - versionName: '55539'
    versionCode: 55539
    commit: '55539'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55545'
    versionCode: 55545
    commit: '55545'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55546'
    versionCode: 55546
    commit: '55546'
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55557'
    versionCode: 55557
    commit: 5ea40d2ef12935f81f89daa5791b77c9125bcacb
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55569'
    versionCode: 55569
    commit: 3f635c737b2866e57f0fd5d1f0da003089741096
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55570'
    versionCode: 55570
    commit: 31588c33c967d32a31d70060b3d1b3814fa37e84
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55593'
    versionCode: 55593
    commit: 76fc331154ba181f44c953ac6c586305b897583c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55594'
    versionCode: 55594
    commit: 28e8e7d828ce259144a090b8cf311e48f4087067
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55595'
    versionCode: 55595
    commit: e45b2dcea8917fc68b09338d9026bcc42ce70669
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55596'
    versionCode: 55596
    commit: 2eaa5c837e21e66cd4d0ee3e6b7c0dba5b5148da
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55598'
    versionCode: 55598
    commit: ffb9ea4983d27ede0981a80d6393b2eb4582dcfc
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55599'
    versionCode: 55599
    commit: f408edb11b21ee06a4b5f4d2ba50a5406a830523
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

  - versionName: '55699'
    versionCode: 55699
    commit: 83d76f63a625217c7f7de117100306cb29d3026d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e 's|def ndkDir = ".*"|def ndkDir = "$$NDK$$"|' build.gradle
    scanignore:
      - app/src/main/res/raw/*
      - doc/SCRIPTS/Gaz_places_national.txt.gz
    ndk: r22b

MaintainerNotes: |-
    app/src/main/res/raw are not executable files and they're from US GOVT so they should be very open:
    https://catalog.data.gov/dataset (license: https://www.usa.gov/government-works)
    https://www.nohrsc.noaa.gov/gisdatasets/ (license: https://www.weather.gov/disclaimer)
    doc/SCRIPTS/Gaz_places_national.txt.gz is a compressed text file.

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '55699'
CurrentVersionCode: 55699
